English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# The ProtoRPC Python API

#### Experimental!

ProtoRPC is an experimental, innovative, and rapidly changing new feature for App Engine. Unfortunately, being on the bleeding edge means that we may make backwards-incompatible changes to ProtoRPC. We will inform the community when this feature is no longer experimental.

ProtoRPC is a simple way to create well-defined, easy-to-use, web-based remote procedure call (RPC) services. An RPC service is a collection of message types and remote methods that provide a structured way for external applications to interact with web applications. Because it is possible to define messages and services using only the Python programming language, it's easy to get started developing your own services.

- Overview
- Definition Module
- Descriptor Module
  - DescriptorLibrary Functions
  - Functions
- Messages Module
  - Enum
  - EnumField
  - Field
  - Message Field Classes
  - Message
  - MessageField
  - Variant
  - Functions
  - Exceptions
- Remote Service Library
  - Overview
  - HttpRequestState Class
  - RequestState Class
  - RpcStatus Class
  - Service Class
  - Functions
  - Exceptions
- Transport Library
  - HttpTransport Class
  - Transport Class
- WebApp Service Handlers
  - Overview
  - WebApp Service Handlers